Bug 496687 - CS 8.0 Beta -- TPS admin page doesn't list users added to the roles . Worked in the Alpha
CS 8.0 Beta -- TPS admin page doesn't list users added to the roles . Worked ...
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: TPS (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Ade Lee
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-04-20 14:24 EDT by Sean Veale
Modified: 2015-01-04 18:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Tail of TPS error and Debug log as well as screen shot of the what is seen. (62.03 KB, application/zip)
2009-04-20 14:24 EDT, Sean Veale
no flags Details
Screen shot of the list of users displayed by the TPS Admin List Users query. (393.10 KB, image/png)
2009-06-11 20:06 EDT, Asha Akkiangady
no flags Details

  None (edit)
Description Sean Veale 2009-04-20 14:24:15 EDT
Created attachment 340401 [details]
Tail of TPS error and Debug log as well as screen shot of the what is seen. 

Description of problem:

In the CS 8.0 the TPS admin web page 

https://hostname:7889/tus 

if you click on the list or search users a blank page is displayed. In the alpha this use to work. 

I know a user is added because if I try to re-add them I will get an Ldap error saying specifying the name is already present as expected. 

This makes it very difficult to remove users when they no longer have that role, and for testing. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Add a user, (Admin -- Add User) Paste in the cert for the user and setup the uid, first name, last name. 
2.  Click on the search or list buttons. Notice no names are listed.
3.  Same think happens if you search. 
  
Actual results:
Empty Page

Expected results:
List of added users. 

Additional info:
Zip includes the screen shot of the user added, what is displayed when you search for users and and a tail of the TPS debug/error logs.
Comment 1 Ade Lee 2009-04-21 12:14:04 EDT
simple typo error ..

Index: tps-ui/shared/docroot/tokendb/searchUserResults.template
===================================================================
--- tps-ui/shared/docroot/tokendb/searchUserResults.template    (revision 407)
+++ tps-ui/shared/docroot/tokendb/searchUserResults.template    (working copy)
@@ -157,7 +157,7 @@
         var new_start = start_entry_val + num_entries_per_page;
         var query = my_query.replace(/&*start_entry_val=\d*/,"");
         var query_array = query.split("&");
-        document.write("<td> <form method=get name=next_entries ">");
+        document.write("<td> <form method=get name=next_entries >");
         for (var i=0; i< query_array.length ; i++) {
             var a = query_array[i].split("=");
             document.write("<input TYPE=hidden name=" + a[0] + " VALUE=" + a[1] + ">");
Index: tps-ui/dogtag-pki-tps-ui.spec
===================================================================
--- tps-ui/dogtag-pki-tps-ui.spec       (revision 407)
+++ tps-ui/dogtag-pki-tps-ui.spec       (working copy)
@@ -34,7 +34,7 @@
 ## Package Header Definitions
 %define base_name         %{base_ui_prefix}-%{base_prefix}-%{base_component}
 %define base_version      1.1.0
-%define base_release      1
+%define base_release      2
 %define base_group        System Environment/Base
 %define base_vendor       Red Hat, Inc.
 %define base_license      GPLv2 with exceptions
@@ -222,6 +222,8 @@
 ###############################################################################
 
 %changelog
+* Tue Apr 21 2009 Ade Lee <alee@redhat.com> 1.1.0-2
+- Bugzilla Bug #496687 - TPS admin page doesn't list users added to the roles
 * Sat Apr 4 2009 Matthew Harmsen <mharmsen@redhat.com> 1.1.0-1
 - Version update to Dogtag 1.1.0.
 * Sat Mar 28 2009 Jack Magne <jmagne@redhat.com> 1.0.0-15
Comment 2 Ade Lee 2009-04-21 12:16:47 EDT
 [builder@dhcp231-124 tps-ui]$ svn ci -m "Bugzilla Bug #496687 - TPS admin page doesn't list users added to the roles" 
Sending        tps-ui/dogtag-pki-tps-ui.spec
Sending        tps-ui/shared/docroot/tokendb/searchUserResults.template
Transmitting file data ..
Committed revision 408.
Comment 5 Asha Akkiangady 2009-06-11 20:06:47 EDT
Created attachment 347500 [details]
Screen shot of the list of users displayed by the TPS Admin List Users query.
Comment 6 Asha Akkiangady 2009-06-11 20:07:46 EDT
Verified.

Added Admin user through TPS Admin, list or search users show all the users just fine.

Note You need to log in before you can comment on or make changes to this bug.